package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.MwfData;

import java.util.Map;
import java.util.HashMap;

public class MWF9D4Data implements MwfData {

    private Map<String, Object> params = new HashMap<>();
    
    private MWF9D4Data() {}

    public static MWF9D4Data builder() {
        return new MWF9D4Data();
    }

    public MWF9D4Data rsAccountnumber(String rsAccountnumber) {
        params.put("RS_ACCOUNTNUMBER", rsAccountnumber);
        return this;
    } 

    public Map<String, Object> getParams() {
        return params;
    }

}
